/* TokScan.h -- Token scanning engine
 *
 * Author: Dylan Muir [dr.muir@student.qut.edu.au]
 * Date: 29th September, 1998
 * Modified: 10th May, 1999
 * Version: 1.01
 */

#ifndef	__TOKSCAN_H
#define	__TOKSCAN_H

#include <stdio.h>
#include "tokenlst.h"
#include "stddefs.h"


/* -- Function ReadLineTokens
 * Pre: 'file' is a text file opened for reading
 *      'inFile' has been allocated, and indicates wether EOF has been reached
 * Post: a line of text up to an EOL or EOF has been scanned and
 *			converted into a token list, which was returned
 */
tokenList	*ReadLineTokens(FILE *ifile, bool *inFile);

/* -- Function ReadLineText
 * Pre: 'file' is a text file opened for reading
 *		  'buffer' has been allocated, and has max length 'length'
 *      'inFile' has been allocated, and indicated wether EOF has been reached
 * Post: 'buffer' contains a line of text up to EOL or EOF (defined in stddefs.h) &&
 *       'inFile' indicates whether EOF has been reached
 */
void	ReadLineText(FILE *ifile, char *buffer, unsigned length, bool *inFile);

#endif	/* __TOKSCAN_H */

/* --- END of TokScan.h --- */
